# Calculated Tax Rates

This option allows you to dynamically calculate the tax obligations of an order by using third-party calculation platforms. This complex option is useful for countries with different tax rates for different product types or regions within the country (the norm in the US).

When using calculated rate taxes, taxes are calculated as a single price adjustment against the order total price and will not offer any breakdown.

Calculated tax rates are configured using **Tax Calculation Methods**. A tax calculation method provides a connection to a third-party calculation service via a [Sales Tax Provider](https://github.com/umbraco/UmbracoDocs/blob/main/17/umbraco-commerce/key-concepts/sales-taxt-providers.md). The sales tax provider passes the order details to the calculation service and returns the tax amount to be applied to the order.

{% hint style="info" %}
Before you can configure a tax calculation method, you will need to install at least one [sales tax provider](https://docs.umbraco.com/umbraco-commerce/key-concepts/sales-tax-providers).

A TaxJar example is provided on GitHub at <https://github.com/umbraco/Umbraco.Commerce.SalesTaxProviders.TaxJar>
{% endhint %}

## Tax Calculation Method Configuration

1. Go to **Settings > Stores > {Your Store} > Taxes > Tax Calculation Methods**.

![Tax Calculation Methods](https://3343668521-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FlHETtFOx4I72xhuc27Kt%2Fuploads%2Fgit-blob-c5716f0df7ff3b63d9fdb39ad95f0838c60cb2a8%2Ftax-calculation-methods.png?alt=media)

2. Click on the **Create Tax Calculation Method** button.
3. Choose a **Sales Tax Provider** from the list.

![Create Tax Calculation Method](https://3343668521-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FlHETtFOx4I72xhuc27Kt%2Fuploads%2Fgit-blob-a33567d91ae745427a1a99ba21b7281594fe2114%2Fpick-sales-tax-provider.png?alt=media)

4. Enter the **Tax Calculation Method Name** and **Alias**.
5. Configure the **Tax Calculation Method** settings.

![Edit Tax Calculation Method](https://3343668521-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FlHETtFOx4I72xhuc27Kt%2Fuploads%2Fgit-blob-4e991c6dab1f3ded49f354cb9070b87418bc3cff%2Ftax-calculation-method-settings.png?alt=media)

6. Click **Save**.

## Assigning a Tax Calculation Method

Tax calculation methods are assigned to a **Country** entity. This allows you to define different tax calculation methods for different countries. The tax calculation method assigned to an order's shipping country will be used to calculate the tax amount for the order.

![Country Tax Calculation Methods](https://3343668521-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FlHETtFOx4I72xhuc27Kt%2Fuploads%2Fgit-blob-6a3a7c28a96032dfa0618f736c1211902a2e2a8c%2Fcountry-tax-calculation-method.png?alt=media)

## Providing Tax Codes

When calculating taxes, you may need to provide product tax codes to the calculation service. Tax codes are used to identify the type of product being sold and used by the calculation service to determine the correct tax rate. To assign a tax code to a product, you can use a **Tax Class** with a code defined for the given country.

![Tax Class Tax Codes](https://3343668521-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FlHETtFOx4I72xhuc27Kt%2Fuploads%2Fgit-blob-9b30300b6dfee1dd170ac580ec57b1c892b54c8f%2Ftax-class-country-region-settings-modal.png?alt=media)

See [Tax Classes Configuration](https://docs.umbraco.com/umbraco-commerce/reference/fixed-tax-rates#tax-class-configuration) for more information on how to configure tax classes.

## Prices Inclusive of Tax

It is possible to configure a store to accept prices including tax. When using tax calculation methods it is not possible to enable this feature. A warning will show if you try to do so and a tax calculation method is already defined on a stores country.

![Prices Inclusive of Tax Warning](https://3343668521-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FlHETtFOx4I72xhuc27Kt%2Fuploads%2Fgit-blob-989568b180a0136cd7ba3ff456a3815fd22251e4%2Fstore-prices-include-tax-warning.png?alt=media)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-commerce/reference/taxes/calculated-tax-rates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
